/**
 * FF Typescript Foundation Library
 * Copyright 2021 Ralph Wiedemeier, Frame Factory GmbH
 *
 * License: MIT
 */
export default class DragTarget {
    isEnabled: boolean;
    onDragStart: (event: PointerEvent) => void;
    onDragMove: (event: PointerEvent, dx: number, dy: number) => void;
    onDragEnd: (event: PointerEvent) => void;
    private _element;
    private _isDragging;
    private _startX;
    private _startY;
    private _lastX;
    private _lastY;
    constructor();
    get isDragging(): boolean;
    get startX(): number;
    get startY(): number;
    get lastX(): number;
    get lastY(): number;
    bind(element: HTMLElement): void;
    unbind(): void;
    protected onPointerDown(event: PointerEvent): void;
    protected onPointerMove(event: PointerEvent): void;
    protected onPointerUp(event: PointerEvent): void;
}
