/**
 * FF Typescript Foundation Library
 * Copyright 2021 Ralph Wiedemeier, Frame Factory GmbH
 *
 * License: MIT
 */
declare type Method = "get" | "put" | "patch" | "post" | "delete" | "GET" | "PUT" | "PATCH" | "POST" | "DELETE";
declare const _default: {
    json: (url: string, method: Method, data?: string | {}) => Promise<any>;
    text: (url: string, method: Method, data?: string) => Promise<string>;
    file: (url: string, method: Method, file: File, detectType?: boolean) => Promise<any>;
    buffer: (url: string, method: Method, buffer?: ArrayBuffer) => Promise<ArrayBuffer>;
};
export default _default;
